Bug 177314 - [new port] security/rndpassw: Command line utility for generate of random passwords
Summary: [new port] security/rndpassw: Command line utility for generate of random pas...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Jason Helfman
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-03-23 15:30 UTC by Andrew Romanenko
Modified: 2013-03-25 22:20 UTC (History)
0 users

See Also:


Attachments
file.shar (1.23 KB, text/plain)
2013-03-23 15:30 UTC, Andrew Romanenko
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Andrew Romanenko 2013-03-23 15:30:00 UTC
Command line utility for generate of random passwords

Fix: Patch attached with submission follows:
Comment 1 Jason Helfman freebsd_committer 2013-03-24 00:34:31 UTC
Responsible Changed
From-To: freebsd-ports-bugs->jgh

I'll take it.
Comment 2 dfilter service freebsd_committer 2013-03-25 22:13:57 UTC
Author: jgh
Date: Mon Mar 25 22:13:49 2013
New Revision: 315250
URL: http://svnweb.freebsd.org/changeset/ports/315250

Log:
  add new port: security/rndpassw
  
  Command line password generator
  
  WWW: http://sourceforge.net/projects/rndpassw
  
  PR:		177314
  Submitted by:	melanhit@gmail.com

Added:
  head/security/rndpassw/
  head/security/rndpassw/Makefile   (contents, props changed)
  head/security/rndpassw/distinfo   (contents, props changed)
  head/security/rndpassw/pkg-descr   (contents, props changed)
Modified:
  head/security/Makefile

Modified: head/security/Makefile
==============================================================================
--- head/security/Makefile	Mon Mar 25 22:07:11 2013	(r315249)
+++ head/security/Makefile	Mon Mar 25 22:13:49 2013	(r315250)
@@ -830,6 +830,7 @@
     SUBDIR += revelation
     SUBDIR += rifiuti2
     SUBDIR += rkhunter
+    SUBDIR += rndpassw
     SUBDIR += ruby-acl
     SUBDIR += ruby-camellia
     SUBDIR += ruby-crypt

Added: head/security/rndpassw/Makefile
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/security/rndpassw/Makefile	Mon Mar 25 22:13:49 2013	(r315250)
@@ -0,0 +1,19 @@
+# $FreeBSD$
+
+PORTNAME=	rndpassw
+PORTVERSION=	0.1
+CATEGORIES=	security
+MASTER_SITES=	SF
+
+MAINTAINER=	melanhit@gmail.com
+COMMENT=	CLI password generator
+
+LICENSE=	BSD
+
+USE_BZIP2=	yes
+FETCH_ARGS=	-Fpr
+
+MAN1=		rndpassw.1
+PLIST_FILES=	bin/rndpassw
+
+.include <bsd.port.mk>

Added: head/security/rndpassw/distinfo
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/security/rndpassw/distinfo	Mon Mar 25 22:13:49 2013	(r315250)
@@ -0,0 +1,2 @@
+SHA256 (rndpassw-0.1.tar.bz2) = c45ca83ba9cc73f6bbfc8878610a2456300671d88572d55fcac96cb00b7e2508
+SIZE (rndpassw-0.1.tar.bz2) = 3364

Added: head/security/rndpassw/pkg-descr
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/security/rndpassw/pkg-descr	Mon Mar 25 22:13:49 2013	(r315250)
@@ -0,0 +1,3 @@
+Command line password generator
+
+WWW: http://sourceforge.net/projects/rndpassw
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 Jason Helfman freebsd_committer 2013-03-25 22:14:05 UTC
State Changed
From-To: open->closed

New port added, with minor changes. Thanks!
Comment 4 dfilter service freebsd_committer 2013-03-25 22:16:53 UTC
Author: jgh (ports committer)
Date: Mon Mar 25 22:16:45 2013
New Revision: 41311
URL: http://svnweb.freebsd.org/changeset/doc/41311

Log:
  - add Andrew Romanenko for security/rndpassw
  
  PR:		ports/177314

Modified:
  head/en_US.ISO8859-1/articles/contributors/contrib.additional.xml

Modified: head/en_US.ISO8859-1/articles/contributors/contrib.additional.xml
==============================================================================
--- head/en_US.ISO8859-1/articles/contributors/contrib.additional.xml	Sun Mar 24 23:20:59 2013	(r41310)
+++ head/en_US.ISO8859-1/articles/contributors/contrib.additional.xml	Mon Mar 25 22:16:45 2013	(r41311)
@@ -844,6 +844,11 @@
     </listitem>
 
     <listitem>
+      <para>Andrew Romanenko
+	<email>melanhit@gmail.com</email></para>
+    </listitem>
+
+    <listitem>
       <para>Andrew S. Midthune
 	<email>amidthune@cableone.net</email></para>
     </listitem>
_______________________________________________
svn-doc-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-doc-all
To unsubscribe, send any mail to "svn-doc-all-unsubscribe@freebsd.org"